Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 662968 - dev-db/sqlitestudio-3.1.1 : ../.../mainwindow.cpp:581:33: error: invalid use of incomplete type class QStyle
Summary: dev-db/sqlitestudio-3.1.1 : ../.../mainwindow.cpp:581:33: error: invalid use ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: reagentoo
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-08-06 17:20 UTC by Toralf Förster
Modified: 2018-09-15 14:22 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.10 KB, text/plain)
2018-08-06 17:20 UTC, Toralf Förster
Details
dev-db:sqlitestudio-3.1.1:20180806-152445.log (dev-db:sqlitestudio-3.1.1:20180806-152445.log,283.45 KB, text/plain)
2018-08-06 17:20 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,320.43 KB, text/plain)
2018-08-06 17:20 UTC, Toralf Förster
Details
environment (environment,89.85 KB, text/plain)
2018-08-06 17:20 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,13.95 KB, application/x-bzip)
2018-08-06 17:20 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,812 bytes, application/x-bzip)
2018-08-06 17:20 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-08-06 17:20:37 UTC
../../../SQLiteStudio3/guiSQLiteStudio/mainwindow.cpp: In member function ‘QString MainWindow::currentStyle() const’:
../../../SQLiteStudio3/guiSQLiteStudio/mainwindow.cpp:581:33: error: invalid use of incomplete type ‘class QStyle’
     return QApplication::style()->objectName();
                                 ^~
In file included from /usr/include/qt5/QtWidgets/qshortcut.h:44:0,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-plasma-systemd_20180727-195151

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.0
 [2] x86_64-pc-linux-gnu-7.3.1 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python3.5
  [3]   python2.7 (fallback)
  [4]   pypy3 (fallback)
  [5]   pypy (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.8.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv dev-db/sqlitestudio
[ebuild  N    ] dev-db/sqlitestudio-3.1.1  USE="cli cups -tcl {-test}" 

!!! The following installed packages are masked:
- sys-apps/microcode-ctl-1.36::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Thomas Deutschmann <whissi@gentoo.org> (05 Aug 2018)
# Deprecated. Using recent microcodes with this package either won't work
# or crash your system. Please change your setup and make use of kernel's
# early microcode loading feature, see https://wiki.gentoo.org/wiki/Microcode
# for more details. Removal in 30 days.

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Comment 1 Toralf Förster gentoo-dev 2018-08-06 17:20:40 UTC
Created attachment 542616 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-08-06 17:20:43 UTC
Created attachment 542618 [details]
dev-db:sqlitestudio-3.1.1:20180806-152445.log
Comment 3 Toralf Förster gentoo-dev 2018-08-06 17:20:45 UTC
Created attachment 542620 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2018-08-06 17:20:48 UTC
Created attachment 542622 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2018-08-06 17:20:51 UTC
Created attachment 542624 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-08-06 17:20:53 UTC
Created attachment 542626 [details]
logs.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2018-09-15 14:22:23 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef9b4a902a7f556b5eb72e47ffce109bf75f9253

commit ef9b4a902a7f556b5eb72e47ffce109bf75f9253
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-09-15 14:10:00 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-09-15 14:21:47 +0000

    dev-db/sqlitestudio: Fix build with Qt 5.11
    
    Doing it myself then.
    
    Closes: https://bugs.gentoo.org/662968
    Package-Manager: Portage-2.3.49, Repoman-2.3.10

 .../files/sqlitestudio-3.1.1-qt-5.11.patch          | 21 +++++++++++++++++++++
 dev-db/sqlitestudio/sqlitestudio-3.1.1.ebuild       |  4 +++-
 2 files changed, 24 insertions(+), 1 deletion(-)